{{- $is_carousel := false -}}
{{ if gt (len .images) 1 }}
  {{- $is_carousel = true -}}
{{ end }}

{{- if $is_carousel }}
<div class="splide" role="group" data-splide='{"arrows":true,"gap":"24px","perPage":1,"perMove":1,"pagination":false,"autoplay":false}'>
  <div class="splide__track">
    <div class="splide__list">
{{ end -}}

  {{ range .images }}
    {{ if .file }}
      {{- $image := partial "osuny/GetMedia" .file -}}
      {{- if $image -}}
        {{- $url := $image.url -}}
        {{- if site.Params.keycdn -}}
          {{- $url = $image.direct_url -}}
        {{- end -}}
        {{- $default := "1280x2560" -}}
        <figure{{ if $is_carousel }} class="splide__slide"{{ end }}>
          <a class="glightbox"
            data-glightbox="type: image;"
            href="{{ partial "osuny/GetImageUrl" (dict "url" $url "size" $default ) }}">
            {{ partial "osuny/commons/image.html"
              (dict
                "image"    .id
                "alt"      .alt
                "mobile"   "320"
                "tablet"   "720"
                "desktop"  "960"
              )}}
          </a>
          <figcaption>
            {{ if .text }}
              <p class="figcaption__text">{{ partial "osuny/PrepareHTML" .text }}</p>
            {{ end }}
            {{ if .credit }}
              <p class="credit">{{ partial "osuny/PrepareHTML" .credit }}</p>
            {{ end }}
          </figcaption>
        </figure>
      {{- end -}}
    {{ end }}
  {{ end }}

{{- if $is_carousel }}
  </div>
</div>
{{ end -}}
